Bug 111065 - Support Annotation Processors in Java Editor
Support Annotation Processors in Java Editor
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Editor
6.x
All All
: P3 with 3 votes (vote)
: 6.x
Assigned To: Jan Lahoda
issues@java
:
Depends on: 111292 111293 111294 179749 181439 181441
Blocks: 111063
  Show dependency treegraph
 
Reported: 2007-07-26 10:06 UTC by brucechapman
Modified: 2011-10-19 15:27 UTC (History)
4 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description brucechapman 2007-07-26 10:06:12 UTC
Dependent issues address ways in which the java editor can improve support for JSR-269 Annotation Processors
Comment 1 Quality Engineering 2010-02-03 21:55:00 UTC
Integrated into 'main-golden', will be available in build *201002040200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/d59a1df3507f
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #111065: Support Annotation Processors in Java Editor added.
Comment 2 Jesse Glick 2011-03-16 15:51:44 UTC
Shouldn't this be FIXED?
Comment 3 brucechapman 2011-03-18 04:26:02 UTC
This stuff is now 'good enough' in 7. 

COS support is much better (its actually usable now) c.f. 6.9

Thanks for this effort - I do appreciate it even if it would have been nice 3 years ago :)



Close these bugs and we can create new ones for the minor nits that still exist.

Bruce
Comment 4 Jesse Glick 2011-10-19 15:27:41 UTC
Closing; essentially implemented.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo